export const IGNORE_ELEMENT_ATTR: "hightlight-ignore-element";
export const IGNORE_ELEMENT_REACT_ATTR: {
    'hightlight-ignore-element': boolean;
};
export const HIGHLIGHT_IGNORE_ATTR: "hightlight-ignore-element";
export function setDebug(boolean: any): boolean;
export const highlightClassName: string;
export const highlightSelectedClassName: string;
export const headStyleTagsId: string;
export function fromDocument(document: any): {
    body: any;
    head: any;
    document: any;
};
export function fromIframe(document: any): {
    body: any;
    head: any;
    document: any;
};
export function logger(...args: any[]): void;
export default ElementHighlight;
declare class ElementHighlight {
    constructor(element: any);
    dom: {
        body: any;
        head: any;
        document: any;
    };
    previousHoveredElement: any;
    previousSelectedElement: any;
    disposeOf: any[];
    classes: {
        ignoreElement: any;
        highlight: any;
        highlightSelected: any;
    };
    setIgnoreAttribute(element: any): void;
    useStyleSheet(): void;
    unuseStyleSheet(): void;
    insertStyleSheet(): void;
    stylesheet: HTMLStyleElement;
    removeClassName(className: any): any;
    getSelected(): any;
    ignoreElement(query: any): void;
    stopPropagation(query: any): void;
    disposal(): void;
    cleanup(): void;
    removeHighlight(): void;
    mouseover({ editableTags, onHoverIgnore, }: {
        editableTags: any;
        onHoverIgnore: any;
    }): void;
    mouseout(): void;
    click(options: any): void;
    returnValue: boolean;
    selectElement(target: any, { onSelect, onRemove, }: {
        onSelect: any;
        onRemove: any;
    }): void;
    initialize(argOptions?: {}): void;
    getData(): {};
}
